#ifndef dud4_playertask_hh
#define dud4_playertask_hh

#include "task.hh"

class playertask : public task
{
	int sock;
	string input;           // Current input line
	char lineterm;          // Line terminator char (autodetect)
	unsigned char got_iac;  // Telnet option
	
	class playerdata *data;
	
	friend class playerdata;
	
public:
	playertask(int s);
	~playertask();
	virtual void echo(const string &s, bool addcr = true);
	virtual bool tick();
};

#endif
