#include "stringfun.hh"

string argsplit(vector<string> &dest, string &src)
{
	const char *q = src.c_str();
	const char *p = strchr(q, ' ');
	if(!p)p = strchr(q, 0);

	string s = src.substr(0, p-q);
	while(*p == ' ')++p;
	src.erase(0, p-q);

	dest.push_back(s);
	return s;
}

string strtolower(const string &s)
{
	unsigned a, b=s.size();
	string t(' ', b);
	for(a=0; a<b; ++a)t[a] = tolower(s[a]);
	return t;
}

string strtoupper(const string &s)
{
	unsigned a, b=s.size();
	string t(' ', b);
	for(a=0; a<b; ++a)t[a] = toupper(s[a]);
	return t;
}
