#ifndef dud4_taskmanager_hh
#define dud4_taskmanager_hh

#include "task.hh"
#include "events.hh"

extern class taskmanager : public task
{
	list<task *> tasks;
public:
	~taskmanager();
	void insert(task *n);
	virtual bool tick();
	void operator += (const event &ev);
	inline unsigned numtasks() const { return tasks.size(); }
} taskmanager;

#endif
